Get a standard template
curl --request GET \
--url https://api.presenton.ai/api/v3/standard-template/{template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.presenton.ai/api/v3/standard-template/{template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.presenton.ai/api/v3/standard-template/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"layout_count": 0,
"thumbnail": "<string>",
"is_default": false,
"merged_components": {},
"layouts": {},
"fonts": {},
"schemas": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Generate Presentation using JSON (Without AI)
Get a standard template
Return metadata for one standard template.
GET
/
api
/
v3
/
standard-template
/
{template_id}
Get a standard template
curl --request GET \
--url https://api.presenton.ai/api/v3/standard-template/{template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.presenton.ai/api/v3/standard-template/{template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.presenton.ai/api/v3/standard-template/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"layout_count": 0,
"thumbnail": "<string>",
"is_default": false,
"merged_components": {},
"layouts": {},
"fonts": {},
"schemas": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?